@import "color.css";

#multi-step-form-container {
    margin-top: 1.3rem;
}

a {
    text-decoration: none;
}

.text-gray-dark {
    color: #4d4f56;
}

.button-multi-step {
    padding: 0.7rem 1.5rem;
    border: 1px solid #4361ee;
    background-color: #4361ee;
    color: #fff;
    border-radius: 5px;
    cursor: pointer;
}

.button-multi-step-prev {
    padding: 0.7rem 1.5rem;
    border: 1px solid #6d6d70;
    background-color: #606062;
    color: #fff;
    border-radius: 5px;
    cursor: pointer;
}

.submit-btn-multi-step {
    border: 1px solid var(--primary);
    background-color: var(--primary);
}

.form-step {
    border: none;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    /* Adjust the shadow as needed */
    border-radius: 20px;
    padding: 1.5rem;
    background-color: white;
}

.font-normal {
    font-weight: normal;
}

ul.form-stepper {
    counter-reset: section;
    margin-bottom: 3rem;
}

ul.form-stepper .form-stepper-circle {
    position: relative;
}

ul.form-stepper .form-stepper-circle span {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
}

.form-stepper-horizontal {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

ul.form-stepper>li:not(:last-of-type) {
    margin-bottom: 0.625rem;
    -webkit-transition: margin-bottom 0.4s;
    -o-transition: margin-bottom 0.4s;
    transition: margin-bottom 0.4s;
}

.form-stepper-horizontal>li:not(:last-of-type) {
    margin-bottom: 0 !important;
}

.form-stepper-horizontal li {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: start;
    -webkit-transition: 0.5s;
    transition: 0.5s;
}

.form-stepper-horizontal li:not(:last-child):after {
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    height: 1px;
    content: "";
    top: 32%;
}

.form-stepper-horizontal li:after {
    background-color: #dee2e6;
}

.form-stepper-horizontal li.form-stepper-completed:after {
    background-color: var(--primary);
}

.form-stepper-horizontal li:last-child {
    flex: unset;
}

ul.form-stepper li a .form-stepper-circle {
    display: inline-block;
    width: 25px;
    height: 25px;
    margin-right: 0;
    line-height: 1.7rem;
    text-align: center;
    background: rgba(0, 0, 0, 0.38);
    border-radius: 50%;
}

.form-stepper .form-stepper-active .form-stepper-circle {
    background-color: #4361ee !important;
    color: #fff;
}

.form-stepper .form-stepper-active .label {
    color: #4361ee !important;
}

.form-stepper .form-stepper-active .form-stepper-circle:hover {
    background-color: #4361ee !important;
    color: #fff !important;
}

.form-stepper .form-stepper-unfinished .form-stepper-circle {
    background-color: #f8f7ff;
}

.form-stepper .form-stepper-completed .form-stepper-circle {
    background-color: var(--primary) !important;
    color: #fff;
}

.form-stepper .form-stepper-completed .label {
    color: var(--primary) !important;
}

.form-stepper .form-stepper-completed .form-stepper-circle:hover {
    background-color: var(--primary) !important;
    color: #fff !important;
}

.form-stepper .form-stepper-active span.text-muted {
    color: #fff !important;
}

.form-stepper .form-stepper-completed span.text-muted {
    color: #fff !important;
}

.form-stepper .label {
    font-size: 14px;
    margin-top: 0.5rem;
}

.form-stepper a {
    cursor: default;
}

.form-stepper-circle span {
    font-size: 12px;
}

/* styles.css */

.circle-container {
    display: flex;
    /* Use flexbox to align items horizontally */
    align-items: center;
    /* Vertically align items in the center */
    justify-content: center;
    /* Center the items horizontally */
    gap: 5px;
    /* Add some space between the circle and title */
}

/* Create a circle */
.booking-step-circle {
    width: 20px;
    /* Set the size of the circle */
    height: 20px;
    border-radius: 50%;
    /* This makes it round */
    background-color: white;
    border: 1px solid var(--secondary);
    /* Set the background color */
    color: var(--secondary);
    font-weight: bold;
    /* Set text color */
    display: flex;
    /* Use flexbox for centering the number */
    justify-content: center;
    /* Center horizontally */
    align-items: center;
    /* Center vertically */
    font-size: 12px;
    /* Set the font size */
    text-align: center;
    /* Center the text */
}

.booking-step-circle.active {
    background-color: var(--light-primary);
    /* Set the background color */
    color: var(--primary);
    border: 1px solid var(--light-primary);
}

.booking-step-title {
    font-size: 13px;
    /* Set the title font size */
    font-weight: normal;
    /* Set the font weight of the title */
    color: #333;
    /* Set the text color for the title */
    margin: 0;
    /* Remove any margin */
}